All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::normal_random_numbers< NumericT > Class Template Reference

Random number generator for returning normally distributed values. More...

`#include <random.hpp>`

## Public Member Functions

| normal_random_numbers (NumericT mean=NumericT(0), NumericT sigma=NumericT(1))
NumericT | operator() () const

## Detailed Description

### template<typename NumericT>
class viennacl::tools::normal_random_numbers< NumericT >

Random number generator for returning normally distributed values.

Implementation based on Box-Muller transformation: https://en.wikipedia.org/wiki/Box%E2%80%93Muller_transform

Definition at line 57 of file random.hpp.

## Constructor & Destructor Documentation

template<typename NumericT>

viennacl::tools::normal_random_numbers< NumericT >::normal_random_numbers | ( | NumericT | mean = `NumericT(0)`,
|  | NumericT | sigma = `NumericT(1)`
| ) |  |

inline

Definition at line 60 of file random.hpp.

## Member Function Documentation

template<typename NumericT>

NumericT viennacl::tools::normal_random_numbers< NumericT >::operator() | ( | void |  | ) | const

inline

Definition at line 62 of file random.hpp.

The documentation for this class was generated from the following file:

- viennacl/tools/random.hpp